---
layout: docs
page_title: roles remove-principals - Command
description: >-
  The "roles remove-principals" command removes principals from an existing role resource. Principals can be users or groups.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# roles remove-principals

Command: `roles remove-principals`

The `roles remove-principals` command lets you remove principals from a role.
Principals can be users or groups.
You can specify multiple principals per role.

## Example

This example removes the principals `sg_1234567890` from a role with the ID `r_1234567890`:

```shell-session
$ boundary roles remove-principals -id r_1234567890 -principal sg_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary roles remove-principals [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the role you want to remove principals from.
- `-principal=<string>` - The principals you want to remove from the role.
Principals can be users or groups.
You can optionally specify multiple principals per role.
- `-version=<int>` The version of the role to remove principals from.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'